<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="de">
	<id>https://www.jf-franken.de/index.php?action=history&amp;feed=atom&amp;title=Vorlage%3ASticky_table_start%2Fstyles.css</id>
	<title>Vorlage:Sticky table start/styles.css - Versionsgeschichte</title>
	<link rel="self" type="application/atom+xml" href="https://www.jf-franken.de/index.php?action=history&amp;feed=atom&amp;title=Vorlage%3ASticky_table_start%2Fstyles.css"/>
	<link rel="alternate" type="text/html" href="https://www.jf-franken.de/index.php?title=Vorlage:Sticky_table_start/styles.css&amp;action=history"/>
	<updated>2026-06-20T06:02:19Z</updated>
	<subtitle>Versionsgeschichte dieser Seite in JF-Franken</subtitle>
	<generator>MediaWiki 1.40.0</generator>
	<entry>
		<id>https://www.jf-franken.de/index.php?title=Vorlage:Sticky_table_start/styles.css&amp;diff=20153&amp;oldid=prev</id>
		<title>Edvadmin: 1 Version importiert</title>
		<link rel="alternate" type="text/html" href="https://www.jf-franken.de/index.php?title=Vorlage:Sticky_table_start/styles.css&amp;diff=20153&amp;oldid=prev"/>
		<updated>2025-11-25T10:28:38Z</updated>

		<summary type="html">&lt;p&gt;1 Version importiert&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;de&quot;&gt;
				&lt;td colspan=&quot;1&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Nächstältere Version&lt;/td&gt;
				&lt;td colspan=&quot;1&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Version vom 25. November 2025, 11:28 Uhr&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;2&quot; class=&quot;diff-notice&quot; lang=&quot;de&quot;&gt;&lt;div class=&quot;mw-diff-empty&quot;&gt;(kein Unterschied)&lt;/div&gt;
&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Edvadmin</name></author>
	</entry>
	<entry>
		<id>https://www.jf-franken.de/index.php?title=Vorlage:Sticky_table_start/styles.css&amp;diff=20152&amp;oldid=prev</id>
		<title>Template:Sticky table start&gt;Jroberson108: Undid revision 1322132048 by Sapphaline (talk) Revert, headers no longer sticky.</title>
		<link rel="alternate" type="text/html" href="https://www.jf-franken.de/index.php?title=Vorlage:Sticky_table_start/styles.css&amp;diff=20152&amp;oldid=prev"/>
		<updated>2025-11-14T15:38:50Z</updated>

		<summary type="html">&lt;p&gt;Undid revision &lt;a href=&quot;/index.php/Spezial:Diff/1322132048&quot; title=&quot;Spezial:Diff/1322132048&quot;&gt;1322132048&lt;/a&gt; by &lt;a href=&quot;/index.php/Spezial:Beitr%C3%A4ge/Sapphaline&quot; title=&quot;Spezial:Beiträge/Sapphaline&quot;&gt;Sapphaline&lt;/a&gt; (&lt;a href=&quot;/index.php?title=Benutzer_Diskussion:Sapphaline&amp;amp;action=edit&amp;amp;redlink=1&quot; class=&quot;new&quot; title=&quot;Benutzer Diskussion:Sapphaline (Seite nicht vorhanden)&quot;&gt;talk&lt;/a&gt;) Revert, headers no longer sticky.&lt;/p&gt;
&lt;p&gt;&lt;b&gt;Neue Seite&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/* {{pp-template}} */&lt;br /&gt;
/**&lt;br /&gt;
 * Classes to make row N or thead top sticky, and/or column N left sticky.&lt;br /&gt;
 *&lt;br /&gt;
 * Div classes:&lt;br /&gt;
 * - sticky-table-scroll: Adds scroll; contains table.&lt;br /&gt;
 *&lt;br /&gt;
 * Table classes:&lt;br /&gt;
 * - sticky-table-head: Top sticky thead rows.&lt;br /&gt;
 * - sticky-table-row1: Top sticky first row.&lt;br /&gt;
 * - sticky-table-row2: Top sticky second row.&lt;br /&gt;
 * - sticky-table-col1: Left sticky first column.&lt;br /&gt;
 * - sticky-table-col2: Left sticky second column.&lt;br /&gt;
 *&lt;br /&gt;
 * Cell classes:&lt;br /&gt;
 * - sticky-table-none: Cell not sticky to fix span issues.&lt;br /&gt;
 * - sticky-table-left: Cell left sticky to fix span issues.&lt;br /&gt;
 *&lt;br /&gt;
 * Notes:&lt;br /&gt;
 * - Sortable moves to thead any header rows and (after sort) sorttop rows.&lt;br /&gt;
 * - Sticky gadget (.mw-sticky-header) moves to thead any wikitable header rows.&lt;br /&gt;
 */&lt;br /&gt;
@media screen {&lt;br /&gt;
  /**&lt;br /&gt;
   * Div containers with restricted height/width + scroll.&lt;br /&gt;
   */&lt;br /&gt;
  .sticky-table-scroll {&lt;br /&gt;
    margin-bottom: 1em; /* Moved from table. */&lt;br /&gt;
    margin-top: 1em; /* Moved from table. */&lt;br /&gt;
    max-height: 75vh;&lt;br /&gt;
    max-width: max-content; /* Vertical scroll next to div. */&lt;br /&gt;
    min-width: 50px; /* In case another element floats right. */&lt;br /&gt;
    overflow-y: auto;&lt;br /&gt;
    /*scrollbar-gutter: stable; /* Fix premature wrapping Gecko: 764076. */&lt;br /&gt;
  }&lt;br /&gt;
  .sticky-table-scroll table {&lt;br /&gt;
    margin-bottom: 0; /* Moved to div. */&lt;br /&gt;
    margin-top: 0; /* Moved to div. */&lt;br /&gt;
  }&lt;br /&gt;
  .sticky-table-scroll caption {&lt;br /&gt;
    text-align: left; /* Fix narrow, centered caption hidden on wide table. */&lt;br /&gt;
  }&lt;br /&gt;
&lt;br /&gt;
  /**&lt;br /&gt;
   * Make top sticky.&lt;br /&gt;
   */&lt;br /&gt;
  .sticky-table-scroll .sticky-table-row1:not(.sticky-table-row2):not(.sticky-table-head) &amp;gt; thead &amp;gt; tr:nth-child(1),&lt;br /&gt;
  .sticky-table-scroll .sticky-table-row1:not(.sticky-table-row2):not(.sticky-table-head) &amp;gt; caption + tbody &amp;gt; tr:nth-child(1),&lt;br /&gt;
  .sticky-table-scroll .sticky-table-row1:not(.sticky-table-row2):not(.sticky-table-head) &amp;gt; tbody:first-child &amp;gt; tr:nth-child(1),&lt;br /&gt;
  .sticky-table-scroll .sticky-table-row2:not(.sticky-table-row1):not(.sticky-table-head) &amp;gt; thead &amp;gt; tr:nth-child(2),&lt;br /&gt;
  .sticky-table-scroll .sticky-table-row2:not(.sticky-table-row1):not(.sticky-table-head) &amp;gt; caption + tbody &amp;gt; tr:nth-child(2),&lt;br /&gt;
  .sticky-table-scroll .sticky-table-row2:not(.sticky-table-row1):not(.sticky-table-head) &amp;gt; tbody:first-child &amp;gt; tr:nth-child(2),&lt;br /&gt;
  .sticky-table-scroll .sticky-table-head:not(.sticky-table-row1):not(.sticky-table-row2) &amp;gt; thead {&lt;br /&gt;
    position: sticky; /* Was &amp;quot;static&amp;quot;. */&lt;br /&gt;
    top: 0;&lt;br /&gt;
    z-index: 10;&lt;br /&gt;
  }&lt;br /&gt;
&lt;br /&gt;
  /**&lt;br /&gt;
   * Make left sticky.&lt;br /&gt;
   */&lt;br /&gt;
  .sticky-table-scroll .sticky-table-col1:not(.sticky-table-col2) &amp;gt; * &amp;gt; tr &amp;gt; :nth-child(1):not(.sticky-table-none),&lt;br /&gt;
  .sticky-table-scroll .sticky-table-col2:not(.sticky-table-col1) &amp;gt; * &amp;gt; tr &amp;gt; :nth-child(2):not(.sticky-table-none),&lt;br /&gt;
  .sticky-table-scroll tr &amp;gt; .sticky-table-left {&lt;br /&gt;
    position: sticky; /* Was &amp;quot;static&amp;quot;. */&lt;br /&gt;
    left: 0;&lt;br /&gt;
    z-index: 9;&lt;br /&gt;
  }&lt;br /&gt;
&lt;br /&gt;
  /**&lt;br /&gt;
   * Fix scrolling data shows through sticky&amp;#039;s transparent background.&lt;br /&gt;
   */&lt;br /&gt;
  .sticky-table-scroll table:not(.wikitable) {&lt;br /&gt;
    background-color: var(--color-inverted, #fff);&lt;br /&gt;
  }&lt;br /&gt;
  .sticky-table-scroll thead,&lt;br /&gt;
  .sticky-table-scroll tbody,&lt;br /&gt;
  .sticky-table-scroll tfoot,&lt;br /&gt;
  .sticky-table-scroll tr,&lt;br /&gt;
  .sticky-table-scroll td,&lt;br /&gt;
  .sticky-table-scroll table:not(.wikitable) &amp;gt; * &amp;gt; tr &amp;gt; th {&lt;br /&gt;
    background-color: inherit;&lt;br /&gt;
  }&lt;br /&gt;
&lt;br /&gt;
  /**&lt;br /&gt;
   * Fix missing borders due to sticky position and wikitable collapsed borders.&lt;br /&gt;
   * https://bugs.webkit.org/show_bug.cgi?id=128486&lt;br /&gt;
   *&lt;br /&gt;
   * Skip rare plain table separated borders, which sometimes shows scrolling&lt;br /&gt;
   * data through sticky&amp;#039;s 2px &amp;quot;border-spacing&amp;quot;.&lt;br /&gt;
   *&lt;br /&gt;
   * Skip very rare Timeless plain table &amp;quot;.mw-datatable&amp;quot; collapsed borders.&lt;br /&gt;
   *&lt;br /&gt;
   * Note: {{Static row numbers}} border-bottom separating header/sorttop from&lt;br /&gt;
   * numbers missing and not selectable with CSS.&lt;br /&gt;
   */&lt;br /&gt;
  .sticky-table-scroll .wikitable {&lt;br /&gt;
    border-collapse: separate; /* Was &amp;quot;collapse&amp;quot;. */&lt;br /&gt;
    border-spacing: 0;&lt;br /&gt;
    border-width: 1px 0 0 1px;&lt;br /&gt;
  }&lt;br /&gt;
  .sticky-table-scroll .wikitable &amp;gt; * &amp;gt; tr &amp;gt; td,&lt;br /&gt;
  .sticky-table-scroll .wikitable &amp;gt; * &amp;gt; tr &amp;gt; th {&lt;br /&gt;
    border-width: 0 1px 1px 0;&lt;br /&gt;
  }&lt;br /&gt;
  /* Adjust {{static row numbers}} borders. */&lt;br /&gt;
  .sticky-table-scroll .static-row-numbers.wikitable &amp;gt; * &amp;gt; tr::before {&lt;br /&gt;
    border-right-width: 1px;&lt;br /&gt;
  }&lt;br /&gt;
  /* .sticky-table-scroll .static-row-numbers.wikitable &amp;gt; * &amp;gt; .sorttop:not(:has(~ .sorttop))::before, */&lt;br /&gt;
  .sticky-table-scroll .static-row-numbers.wikitable &amp;gt; tbody &amp;gt; tr:last-child::before,&lt;br /&gt;
  .sticky-table-scroll .static-row-numbers.wikitable &amp;gt; tfoot &amp;gt; tr:last-child::before {&lt;br /&gt;
    border-bottom-width: 1px;&lt;br /&gt;
  }&lt;br /&gt;
  /* After sort, &amp;quot;tbody:first-of-type&amp;quot; targets &amp;quot;tbody&amp;gt;tr:first-child&amp;quot;. */&lt;br /&gt;
  .sticky-table-scroll .static-row-numbers.wikitable &amp;gt; tbody:first-of-type &amp;gt; tr:not(.static-row-header)::before {&lt;br /&gt;
    border-top-width: 0;&lt;br /&gt;
    border-left-width: 0;&lt;br /&gt;
  }&lt;br /&gt;
&lt;br /&gt;
  /**&lt;br /&gt;
   * Fix Timeless skin very wide tables not sticky.&lt;br /&gt;
   */&lt;br /&gt;
  body.skin-timeless .sticky-table-scroll .overflowed,&lt;br /&gt;
  body.skin-timeless .sticky-table-scroll .overflowed .content-table {&lt;br /&gt;
    overflow: visible; /* Reset. */&lt;br /&gt;
  }&lt;br /&gt;
  body.skin-timeless .sticky-table-scroll .overflowed {&lt;br /&gt;
    margin-top: 0; /* Was &amp;quot;1em&amp;quot;. */&lt;br /&gt;
    margin-bottom: 0; /* Was &amp;quot;1em&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
  body.skin-timeless .sticky-table-scroll .scroll-right.overflowed .content-table-right {&lt;br /&gt;
    box-shadow: none; /* Reset. */&lt;br /&gt;
    border-left: none; /* Reset. */&lt;br /&gt;
  }&lt;br /&gt;
  body.skin-timeless .sticky-table-scroll .wikitable {&lt;br /&gt;
    padding: 0;&lt;br /&gt;
  }&lt;br /&gt;
&lt;br /&gt;
  /**&lt;br /&gt;
   * Fix VisualEditor (VE) removing scrollable and hiding content.&lt;br /&gt;
   */&lt;br /&gt;
  html.ve-activated .sticky-table-scroll {&lt;br /&gt;
    max-height: none; /* Unhide. */&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Fix skins width &amp;lt;=639px (mobile) not sticky.&lt;br /&gt;
 */&lt;br /&gt;
@media screen and (max-width: 639px) {&lt;br /&gt;
  body.skin-minerva .sticky-table-scroll table,&lt;br /&gt;
  body.skin-monobook .sticky-table-scroll table,&lt;br /&gt;
  body.skin-vector-legacy .sticky-table-scroll table,&lt;br /&gt;
  body.skin-vector-2022 .sticky-table-scroll table {&lt;br /&gt;
    display: table; /* Was &amp;quot;block&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
  body.skin-minerva .sticky-table-scroll caption {&lt;br /&gt;
    display: table-caption; /* Was &amp;quot;block&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Fix &amp;quot;Sticky Table Headers&amp;quot; gadget issues; this template has priority.&lt;br /&gt;
 */&lt;br /&gt;
@media screen {&lt;br /&gt;
  .sticky-table-scroll .jquery-tablesorter:not(.sticky-table-head) &amp;gt; thead,&lt;br /&gt;
  .sticky-table-scroll .mw-sticky-header:not(.sticky-table-head) &amp;gt; thead {&lt;br /&gt;
    position: static; /* Was &amp;quot;sticky&amp;quot;. */&lt;br /&gt;
    top: auto; /* Was &amp;quot;0&amp;quot;. */&lt;br /&gt;
    z-index: auto; /* Was &amp;quot;10&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
  .sticky-table-scroll .jquery-tablesorter &amp;gt; tfoot,&lt;br /&gt;
  .sticky-table-scroll .mw-sticky-header &amp;gt; tfoot {&lt;br /&gt;
    position: static; /* Was &amp;quot;sticky&amp;quot;. */&lt;br /&gt;
    bottom: auto; /* Was &amp;quot;0&amp;quot;. */&lt;br /&gt;
    z-index: auto; /* Was &amp;quot;10&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
@media screen and (min-width: 1120px) {&lt;br /&gt;
  html.client-js.vector-sticky-header-enabled .sticky-table-scroll :not(.sticky-table-head) .mw-sticky-header-element {&lt;br /&gt;
    top: auto !important; /* Was &amp;quot;3.125rem !important&amp;quot;. */&lt;br /&gt;
  }&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>Template:Sticky table start&gt;Jroberson108</name></author>
	</entry>
</feed>